// Copyright (C) 2018 LEAP
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

package main

import (
	"os"
	"path"
	"time"

	"github.com/0xAX/notificator"
)

const (
	notificationText = `The RiseupVPN service is expensive to run. Because we don't want to store personal information about you, there is no accounts or billing for this service. But if you want the service to continue, donate at least $5 each month at https://riseup.net/donate-vpn`
)

func notificate(conf *systrayConfig) {
	wd, _ := os.Getwd()
	notify := notificator.New(notificator.Options{
		DefaultIcon: path.Join(wd, "riseupvpn.svg"),
		AppName:     "RiseupVPN",
	})

	time.Sleep(time.Minute * 5)
	for {
		if conf.needsNotification() {
			notify.Push("Donate to RiseupVPN", notificationText, "", notificator.UR_NORMAL)
			conf.setNotification()
		}
		time.Sleep(time.Hour)
	}
}
